none
QFE安装错误以及DUA脚本问题 RRS feed

  • 问题

  • 我用的工具是WES2009,目前无法下载专门的QFE,从网上下了个XPE SP2的QFE来试试。安装时出现错误“Can't connect to the database, please check the database. Setup cannot continue",这是什么原因呢,是需要什么组件吗,还是XPE的补丁无法在WES中安装?

    另外,我从QFE中提取了需要更新的文件,打包成一个msi文件,想用Device Update Agent的方式更新。更新过程中将文件都安装到C:\dua_working目录下,然后想在DUA脚本中复制这些文件到指定的文件夹中,问题是无法复制或者移动。观察Event View中显示"This process cannot access the file because it's being used by anoter process",但此时安装已经结束,手动复制也没出现问题。求解。
    2009年10月26日 1:30

答案

  • 按理来说,QFE版的WES专用更新是在你购买了正版WES后提供给你的(算是售后支持),但是在中国很少的经销商能做到这点。

    再说大多数嵌入式应用也不常常更新,只要稳定就可以。

    如果你非要更新WSUS是个很好的选择,只不过用它更新要比用DUP硬件资源开销要大。

    另外我早就放弃DUA了。我的QQ:598176144 请找我一下,加人写MS论坛

    2009年10月26日 10:27
    版主

全部回复

  • 按理来说,QFE版的WES专用更新是在你购买了正版WES后提供给你的(算是售后支持),但是在中国很少的经销商能做到这点。

    再说大多数嵌入式应用也不常常更新,只要稳定就可以。

    如果你非要更新WSUS是个很好的选择,只不过用它更新要比用DUP硬件资源开销要大。

    另外我早就放弃DUA了。我的QQ:598176144 请找我一下,加人写MS论坛

    2009年10月26日 10:27
    版主
  • 呵呵,正在研究DUA的方式。

    下载的QFE安装错误,不能直接执行QFE.exe,不知道为什么,暂时只能提取文件来做。
    2009年10月28日 5:19